Name:          libsoc
Version:       0.8.2
Release:       1%{?dist}
Summary:       Interface with common SoC peripherals through generic kernel interfaces 

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           https://github.com/jackmitch/libsoc
Source0:       https://github.com/jackmitch/libsoc/archive/%{version}.tar.gz

BuildRequires: libtool autoconf automake
BuildRequires: python3-devel

%description
libsoc is a C library for interfacing with common SoC peripherals through 
generic kernel interfaces.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Files for development with %{name}.

%package -n    python3-libsoc
Summary:       A Python 3 interface to libsoc
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description -n python3-libsoc
Python 3 bindings for libsoc for gpio and i2c

%prep
%setup -q

%build
autoreconf -vif
%configure --disable-static --enable-python=3 --with-board-configs

make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -delete

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license LICENCE
%doc README.md ChangeLog
%{_libdir}/*.so.*
%{_datadir}/libsoc

%files devel
%{_includedir}/libsoc*
%{_libdir}/pkgconfig/libsoc.pc
%{_libdir}/*.so

%files -n python3-libsoc
%{python3_sitearch}/libsoc/

%changelog
* Wed Jun 22 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.2-1
- Update to 0.8.2

* Mon May 16 2016 Peter Robinson <pbrobinson@fedoraproject.org> 0.8.1-1
- Update to 0.8.1
- Build new python3 bindings

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.7.1-1
- Update to 0.7.1

* Sat Nov  7 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.7-1
- Update to 0.7

* Tue Oct 20 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.6.5-1
- Initial package
